# CacheSettingsType (Complex Type)

### Namespace: http://midpoint.evolveum.com/xml/ns/public/common/common-3

Settings for a given cache. Not all items are applicable for each cache.

Item Summary
Name | Type | Multiplicity | Description
--- | --- | --- | ---
append | property boolean | [0,1] | Whether to append these settings to other (e.
maxSize | property int | [0,1] | How many entries could be present in this cache? The default is "unlimited".
timeToLive | property int | [0,1] | How long (in seconds) should objects live in the cache.
traceMiss | property boolean | [0,1] | Whether to trace cache "miss" events.
tracePass | property boolean | [0,1] | Whether to trace cache "pass" events.
statistics | container CacheStatisticsReportingConfigurationType | [0,1] | How detailed statistics are provided for this cache.
invalidation | container CacheInvalidationConfigurationType | [0,1] | How is the cache invalidated?
objectTypeSettings | container CacheObjectTypeSettingsType | [0,-1] | Configuration for specific object type(s).

- ### Items

  - #### append

    Flags: RAM,runtime

    Multiplicity: [0,1]

    Display order:

    Whether to append these settings to other (e.g. global) settings, or to override any existing settings. Default is "true" (i.e. to append).

  - #### maxSize

    Flags: RAM,runtime

    Multiplicity: [0,1]

    Display order:

    How many entries could be present in this cache? The default is "unlimited". Zero means the cache is disabled. Note that this property is currently supported for global repo caches only.

  - #### timeToLive

    Flags: RAM,runtime

    Multiplicity: [0,1]

    Display order:

    How long (in seconds) should objects live in the cache. The default is 1 minute for global caches, and cache lifetime for local ones. Value of 0 means that the specified cache is disabled.

  - #### traceMiss

    Flags: RAM,runtime

    Multiplicity: [0,1]

    Display order:

    Whether to trace cache "miss" events.

  - #### tracePass

    Flags: RAM,runtime

    Multiplicity: [0,1]

    Display order:

    Whether to trace cache "pass" events.

  - #### statistics

    Flags: RAM,runtime

    Multiplicity: [0,1]

    Display order:

    How detailed statistics are provided for this cache.

  - #### invalidation

    Flags: RAM,runtime

    Multiplicity: [0,1]

    Display order:

    How is the cache invalidated?

  - #### objectTypeSettings

    Flags: RAM,runtime

    Multiplicity: [0,-1]

    Display order:

    Configuration for specific object type(s).